/*
 * PROPRIETARY INFORMATION.  This software is proprietary to
 * Side Effects Software Inc., and is not to be reproduced,
 * transmitted, or disclosed in any way without written permission.
 *
 * Produced by:
 *	Side Effects Software Inc
 *	477 Richmond Street West
 *	Toronto, Ontario
 *	Canada   M5V 3E7
 *	416-504-9876
 *
 * NAME:	h_distantshadow.sl ( RenderMan SL )
 *
 * COMMENTS:
 */


light
h_distantshadow( 
    color	lightcolor = .8;
    float	     atten = 1E6;
    string	shadowname = "";
    point	      from = point "shader" (0,0,0);
    point		to = point "shader" (0,0,1);
    float	   samples = 16;
    float	     width = 1;
)
{
    float  factor;

    solar( to - from , 0 ) {
	factor = 1;
	if (shadowname != "") {
	    factor *= 1 - shadow(shadowname, Ps, "samples", samples,
			    "swidth", width, "twidth", width);
	}
	Cl = factor * lightcolor;
    }
}
