/*
 * PROPRIETARY INFORMATION.  This software is proprietary to
 * Side Effects Software Inc., and is not to be reproduced,
 * transmitted, or disclosed in any way without written permission.
 *
 * Produced by:
 *	Side Effects Software Inc
 *	477 Richmond Street West
 *	Toronto, Ontario
 *	Canada   M5V 3E7
 *	416-504-9876
 *
 * NAME:	shop_view_wall.sl ( RenderMan SL )
 *
 * COMMENTS:	This shader is used to shade walls in the SHOP viewer.
 *		The shader takes one parameter which determines the "mode"
 */

surface
shop_view_wall(float mode=0)
{
    float	ss, tt;
    float	square;

    if (mode < 0)
    {
	Ci = Oi = 0;
    }
    else if (mode == 0)
    {
	Ci = 0.5;
    }
    else if (mode == 1)
    {
	Ci = 0;
    }
    else if (mode == 2)
    {
	Ci = color(s, t, .5);
    }
    else if (mode == 3)
    {
	ss = s * 10.5 + 0.25;
	tt = t * 10.5 + 0.25;
	square = mod(floor(ss) + floor(tt), 2);
	Ci = square;
    }
    else if (mode == 4)
    {
	float	mclr = texture("mona_smile.tex");
	Ci = mclr;
    }
    else
    {
	Ci = texture("flowers.tex");
    }
}
