#
#  Script used by the Alfred output driver to render images from a Mantra
#  output driver.
#
#  Command to generate an alfred task for a particular frame using renderman.
#  The arguments to the script are:
#
#	alf_mantra.cmd driver rscript shell init cmd
#
#  Where driver is the renderman driver to generate RIB.  This script is called
#  on an as needed basis.  i.e. when Alfred is ready for a frame, it will call
#  this script.
#

set driver	= $arg1
set rscript	= $arg2
set shell	= $arg3
set init	= $arg4
set cmd		= $arg5

opcf /out

if ( "$ALF_TMP" == "" ) then
    setenv ALF_TMP = /tmp
endif

set hipbase = `system("/bin/basename $HIPNAME")`
set tmpfile = $ALF_TMP/$hipbase.$driver$FF.ifd

opparm $driver tscript ( on ) script ( $tmpfile )
opparm $driver trange ( off )

render $driver

echo "##AlfredToDo 2.0"
echo -n "Task { $driver Frame $F } "
echo -n "-cmds { "
echo -n   "Cmd { netmantra -R -a -h %h -s \"$rscript\" -c \"$shell\" -i \"$init\" -r \"$cmd\" $tmpfile } "
echo -n   "-service {mantra} "
echo -n "} "
echo -n "-cleanup { Cmd { rm $tmpfile } }"
echo
