#
#  Script used by the Alfred output driver
#
#  Command to generate an alfred task for a particular frame using a renderer
#  other than mantra or renderman.
#
#  The arguments to the script are:
#
#	alf_rman.cmd options
#
#  Where the options are specified in the Alfred output driver from Houdini.
#  When Alfred is ready for a frame, it will call this script.  This script
#  should generate an alfred task.
#

set driver = $arg1
opcf /out

if ( "$ALF_TMP" == "" ) then
    setenv ALF_TMP = /tmp
endif

set hipbase = `system("/bin/basename $HIPNAME")`
set tmpfile = $ALF_TMP/$hipbase.$driver$FF.rib

opparm $driver tscript ( on ) script ( $tmpfile )
opparm $driver trange ( off )

render $driver

echo "##AlfredToDo 2.0"
echo -n "Task { $driver Frame $F } "
echo -n "-cmds { "
echo -n   "Cmd { netrender -f -Progress %H $tmpfile } "
echo -n   "-service {pixarNRM|nrmserver} "
echo -n   "-tags {prman} "
echo -n "} "
#echo -n "-cleanup { Cmd { rm $tmpfile } } "
echo
