# Houdini-Halo hhalo.cmd initialization script
# This script is run if no arguments are specified to hhalo

#  Create some useful aliases

# Variables set with the set command are local to this script only.
# Therefore, we don't have to worry about cleaning up.
# These variables are used to set the Function Key aliases below.
set F1 = desk set Image
set F2 = desk set Textport
set F3 = desk set VEX_COP_Builder
set F4 = desk set Output

# Set the function key aliases.
for i = 1 to 3
    alias F${i} ${F$i}
    alias AF${i} ${F$i}

end

alias cd	opcf
alias h		history
alias ls	opls
alias pwd	oppwf
alias rm	oprm
alias cp	opcp

alias SF10 'quit'


#
# Turn off aliases for the rest of this file in case of conflicts
#
set noalias = 1

set saved_path = `execute("oppwf")`


#
#  Create a simple cop network
#
opcf /img
opadd img img1
oplocate -x 0 -y 0 img1
opcf img1
opadd -n font font1
oplocate -x 0 -y 0 font1
chadd -t 0 9.96667 font1 length
chkey -t 0 -v 0 -m 0 -a 1 -F '$NFRAMES' font1/length
chkey -t 9.96667 -v 0 -m 0 -a 1 font1/length
opparm font1 stdswitcher ( 0 0 0 0 ) startfont ( 0 ) font ( Courier ) usefile ( off ) text ( '$I' ) file ( '$HIP/slate.txt' ) textline ( 1 ) limitnum ( off ) numlines ( 1 ) textsize ( 100 ) kerning ( 0 0 ) italic ( 0 ) antialias ( 8 8 ) detail ( 0.5 ) hjustify ( center ) vjustify ( center ) units ( uv ) translate ( 0 0 ) scale ( 1 1 ) rotation ( 0 ) pivot ( 0.5 0.5 ) color ( 1 1 1 1 ) overridesize ( off ) size ( size1 size2 ) sizemenu ( "1920 1080 1.0" ) overrideaspect ( off ) aspect ( aspect ) planes ( rgba ) addplanes ( m ) addplaneop ( replace ) customplanes ( "" ) depth ( default ) depthmenu ( "int8 0 255" ) depthglobal ( depthglobal ) usebwpoints ( off ) bwpoints ( bwpoints1 bwpoints2 ) interlace ( none ) idominance ( odd ) overriderange ( off ) singleimage ( off ) start ( start ) length ( length ) userate ( off ) rate ( rate ) preextend ( black ) prehold ( 0 ) postextend ( black ) posthold ( 0 )
opcolor -c 0.5 0.7 0.6 font1
opset -d on -r on -h on -f off -y off -t off -l off -s off -u off -c off -C on -p off -e on -b off font1


#
#  Add a compositing rop:
#
opcf /out
opadd -n comp comp1
oplocate -x 0 -y 0 comp1
opparm comp1 execute ( 0 ) trange ( off ) f ( 1 300 1 ) copswitcher ( 0 0 0 0 ) copnetname ( img1 ) copname ( font1 ) tres ( natural ) res ( 100 100 ) resmenu ( "1920 1080 1.0" ) copoutput ( md ) color ( C ) alpha ( A ) scopeplanes ( * ) gamma ( 1 ) copaux1 ( "" ) color1 ( C ) alpha1 ( A ) scopeplanes1 ( * ) copaux2 ( "" ) color2 ( C ) alpha2 ( A ) scopeplanes2 ( * ) copaux3 ( "" ) color3 ( C ) alpha3 ( A ) scopeplanes3 ( * ) copaux4 ( "" ) color4 ( C ) alpha4 ( A ) scopeplanes4 ( * ) copaux5 ( "" ) color5 ( C ) alpha5 ( A ) scopeplanes5 ( * ) cinconvert ( on ) cinlut ( "" ) cinwhite ( 685 ) cingamma ( 0.6 ) cinimagewhite ( 4095 ) prerender ( "" ) preframe ( "" ) postframe ( "" ) postrender ( "" )
opcolor -c 0.7 0.7 0.7 comp1
opset -d off -r off -h off -f off -y off -t off -l off -s off -u off -c off -C on -p on -e on -b off comp1

#
#  Restore the original path location
#
opcf $saved_path

# Set the prompt to display the current directory followed by an arrow
prompt '`strcat(oppwf(), " -> ")`'

# First we try to find a good desk to be the startup desk. If you want a
# different desk to be the default, just change the logic below (it gives
# the Image desk the highest priority, followed by the Textport desk).

set desks = `run("desk list")`
set image = 0
set textport = 0
foreach desk ( $desks )
    if ($desk == "Image")
	set image = 1
    else if ($desk == "Textport")
	set textport = 1
    endif
end

if ($image == 1) then
    desk set Image
else if ($textport == 1) then
    desk set Textport
endif
