# Houdini shell script (intended for macro use)

if ( "$argc" == 4 ) then
    set saved_path = `execute("oppwf")`

    if ( "$HFS" == "" ) then
	echo 'The $HFS variable must be defined'
    else
	opcf /objects
	source uniquename.cmd $arg1 oname

	opadd light $oname
	oplocate -x 3.35505 -y 5.44504 $oname
	chadd -t 0 4.96667 $oname aperture
	chkey -t 0 -v 0 -m 0 -a 1 -F 'ch(focal) * (2 * tan(ch(coneangle)/2+ch(conedelta)))' $oname/aperture
	chkey -t 4.96667 -v 0 -m 0 -a 1 $oname/aperture
	chadd -t 0 4.96667 $oname copframe
	chkey -t 0 -v 0 -m 0 -a 1 -F '$F' $oname/copframe
	chkey -t 4.96667 -v 0 -m 0 -a 1 $oname/copframe
	opparm $oname aperture ( aperture ) copframe ( copframe ) conelight ( on ) coneangle ( $arg2 ) conedelta ( $arg3 ) coneroll ( 1 )

	unsetenv $oname
    endif

    opcf $saved_path
else
    echo Usage:  source conefov.cmd coneangle conedelta
endif
