#
#  Command to recursivly traverse each node of the network, calling a
#  specified script for every node.
#

if ( $argc < 2 ) then
    echo $argc
    echo Usage: $arg0 command
    echo This command will recurse through all children of all operators
    echo and execute the command specified.
    echo "For example:  $arg0 oppwf
    echo "         or:  $arg0 source script.cmd"
    echo The current folder will be set to the current operator in
    echo the recursion.
    exit
endif

set recursecmd = $arg0

set command = ""
for i = 1 to $argc
    set command = $command "${arg$i}"
end

set nodes = `run("opglob *")`

if ( "$nodes" != "*" && "$nodes" != "" ) then
    foreach node ( $nodes )
	opcf $node
	$command
	$recursecmd $command
	opcf ..
    end
endif
