/*
 * PROPRIETARY INFORMATION.  This software is proprietary to
 * Side Effects Software Inc., and is not to be reproduced,
 * transmitted, or disclosed in any way without written permission.
 *
 * Produced by:
 *	Side Effects Software Inc
 *	477 Richmond Street West
 *	Toronto, Ontario
 *	Canada   M5V 3E7
 *	416-504-9876
 *
 * NAME:	IMG_Raw.C ( IMG Library, C++)
 *
 * COMMENTS:	Read/Write raw files
 */

#ifndef __IMG_WAVE_RLA__
#define __IMG_WAVE_RLA__

#include <IMG/IMG_File.h>

class IMG_Raw : public IMG_File {
public:
     IMG_Raw();
    ~IMG_Raw();

    virtual int	 open();
    virtual int	 readScanline(int y, void *buf);

    virtual int	 create(const IMG_Stat &stat);
    virtual int	 writeScanline(int scan, const void *buf);

    virtual int	 closeFile();

private:
    int		 readHeader();
    int		 writeHeader();

    int		 myByteSwap;	// If reading on a different architecture
};

#endif

