/*
 * PROPRIETARY INFORMATION.  This software is proprietary to
 * Side Effects Software Inc., and is not to be reproduced,
 * transmitted, or disclosed in any way without written permission.
 *
 * Produced by:
 *	Mark Elendt
 *	Side Effects Software Inc
 *	477 Richmond Street West
 *	Toronto, Ontario
 *	Canada   M5V 3E7
 *	416-504-9876
 *
 * NAME:	VRAY_DemoBox.h ( VRAY Library, C++)
 *
 * COMMENTS:	This is a sample procedural DSO to generate a box
 */

#ifndef __VRAY_DemoBox__
#define __VRAY_DemoBox__

#include <UT/UT_BoundingBox.h>
#include <VRAY/VRAY_Procedural.h>

class VRAY_DemoBox : public VRAY_Procedural {
public:
	     VRAY_DemoBox();
    virtual ~VRAY_DemoBox();

    virtual const char	*getClassName();
    virtual int		 initialize(int argc, char *argv[],
				    const UT_BoundingBox *);
    virtual void	 getBoundingBox(UT_BoundingBox &box);
    virtual void	 render(float lod);

private:
    UT_BoundingBox	 myBox;
};
#endif

